Add Users to an Identity Domain (v1)

REST Resource

POST /interop/rest/security/v1/users

Table 2-3 Tasks for Add Users to an Identity Domain

Task Request REST Resource
Add users POST /interop/rest/security/<api_version>/users
Add users status GET /interop/rest/security/<api_version>/jobs/<jobid>

Request

Supported Media Types: application/x-www-form-urlencoded

Table 2-4 Parameters

Name Description Type Required Default
filename

The name of the uploaded ANSI or UTF-8 encoded CSV file containing the users to add, such as addUsers.csv.

Form Yes None
userpassword Optionally, indicates the default password that you want to assign to all the new users who are created in the identify domain. If specified, this password must meet the minimum identity domain password requirements.

If specified, the value of the user password parameter is used as the password for all users specified in the CSV file. Assigning the same password to all users may be desirable if you are creating users purely for testing purposes. If you are creating real Oracle Fusion Cloud Enterprise Performance Management users and want to assign a specific password to each user, use this command without specifying a valid for the userpassword optional parameter.

Form No None
resetpassword Optionally, indicates whether new users must change password at the first login. Unless this parameter is set to false, new users will be forced to change the password at the first login.

This parameter sends each new user an email with details about their accounts (user name and password) if resetPassword is set to true.

If resetPassword is set to false, the email is not sent.

Note: If you set resetPassword to false, you should specify userPassword. Otherwise, a unique temporary password will be assigned to each user, but, because no email is sent, the passwords will not be known to the users, so they will not be able to log in.

Form No true

Response

Supported Media Types: application/json

Table 2-5 Parameters

Name Description
details In the case of errors, details are published with the error string
status See Migration Status Codes
links Detailed information about the link
href Links to API call or status API
action The HTTP call type
rel Possible values: self or Job Status. If the value is set to Job Status, you can use the href to get the status
data Parameters as key value pairs passed in the request
items Details about the resource
links Details of the first URL to be requested to get the job details; rel is "Job Details"

Examples of Response Body

Example 1: Job is in Progress

{
  "links": [
    {
      "rel": "self",
      "href": "https://<BASE-URL>/interop/rest/security/v1/users",
      "data": {
        "jobType": "ADD_USERS",
        "filename": "<filename>",
        "resetpassword": "<true|false>"      },
      "action": "POST"
    },
    {
      "rel": "Job Status",
      "href": "https://<BASE-URL>/interop/rest/security/v1/users",
      "data": null,
      "action": "GET"
    }
  ],
  "details": null,
  "status": -1,
  "items": null
}

Example 2: Job Completes with Errors

{
  "links": [
    {
      "rel": "self",
      "href": "https://<BASE-URL>/interop/rest/security/v1/jobs/",
      "data": null,
      "action": "GET"
    }
  ],
  "details": "Failed to add users. Input file <fileName> is not found. Specify a valid file name.",
  "status": 1,
  "items": null
}

Example 3: Job Completes without Errors

{
  "links": [
    {
      "rel": "self",
      "href": "https://<BASE-URL>/interop/rest/security/v1/jobs/",
      "data": null,
      "action": "GET"
    }
  ],
  "details": "Processed - 3, Succeeded - 2, Failed - 1.",
  "status": 0,
  "items": [
    {
	"UserName":"<USERNAME>","Error_Details": "User <USERNAME> already exists. Please provide a different user name."
    }
   ]
 ) 

Sample cURL Command Basic Auth

curl -X POST -s -u '<USERNAME>:<PASSWORD>' -H 'Content-Type: application/x-www-form-urlencoded' -d 'filename=addUsers.csv&resetpassword=true&userpassword=Passw0rd1234' 'https://<BASE-URL>/interop/rest/security/v1/users'

Sample cURL Command OAuth 2.0

curl -X POST --header "Authorization: Bearer <OAUTH_ACCESS_TOKEN>" -H 'Content-Type: application/x-www-form-urlencoded' -d 'filename=addUsers.csv&resetpassword=true&userpassword=Passw0rd1234' 'https://<BASE-URL>/interop/rest/security/v1/users'